edu.sc.seis.sod.hibernate

## Class StatefulEvent

- java.lang.Object
- - edu.sc.seis.fissuresUtil.cache.ProxyEventAccessOperations
  - - edu.sc.seis.fissuresUtil.cache.CacheEvent
    - - edu.sc.seis.sod.hibernate.StatefulEvent

- All Implemented Interfaces:
    edu.iris.Fissures.AuditSystemAccess, edu.iris.Fissures.IfEvent.EventAccess, edu.iris.Fissures.IfEvent.EventAccessOperations, edu.iris.Fissures.IfEvent.EventDC, edu.iris.Fissures.IfEvent.EventDCOperations, edu.iris.Fissures.IfEvent.EventMgr, edu.iris.Fissures.IfEvent.EventMgrOperations, edu.sc.seis.fissuresUtil.cache.CorbaServerWrapper, java.io.Serializable, org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity

      public class StatefulEvent
      extends edu.sc.seis.fissuresUtil.cache.CacheEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.fissuresUtil.cache.CacheEvent

      `attr, origins, preferred`

    - ### Fields inherited from class edu.sc.seis.fissuresUtil.cache.ProxyEventAccessOperations

      `event`

    - ### Fields inherited from interface edu.sc.seis.fissuresUtil.cache.CorbaServerWrapper

      `EVENTACCESS_TYPE, EVENTDC_TYPE, EVENTFINDER_TYPE, NETACCESS_TYPE, NETDC_TYPE, NETFINDER_TYPE, PLOTTABLEDC_TYPE, SEISDC_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StatefulEvent()` For use by hibernate
    `` | `StatefulEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent e, Status stat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Status` | `getStatus()`
    `void` | `setStatus(Status stat)`

    - ### Methods inherited from class edu.sc.seis.fissuresUtil.cache.CacheEvent

      `_get_component, _get_interface, get_attributes, get_origin, get_origins, get_preferred_origin, getAttributes, getDbid, getOrigins, getPreferred, hasDbid, isLoaded, setDbid, setOrigins, setPreferred`

    - ### Methods inherited from class edu.sc.seis.fissuresUtil.cache.ProxyEventAccessOperations

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override, a_channel_finder, a_factory, a_finder, a_writeable, close, equals, get_audit_trail_for_origin, get_audit_trail, get_locators, getCorbaObject, getEventAccess, getFullName, getOrigin, getServerDNS, getServerName, getServerType, getWrappedEventAccess, getWrappedEventAccess, hasCorbaObject, hashCode, parm_svc, reset, setEventAccess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatefulEvent

          protected StatefulEvent()

      For use by hibernate

    - #### StatefulEvent

          public StatefulEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent e,
                               Status stat)
                        throws edu.iris.Fissures.IfEvent.NoPreferredOrigin

      Throws:
        `edu.iris.Fissures.IfEvent.NoPreferredOrigin`

  - ### Method Detail

    - #### getStatus

          public Status getStatus()

    - #### setStatus

          public void setStatus(Status stat)